var root = document.documentElement;
var inputs = document.querySelectorAll('input');

var update = function update(e) {
  root.style.setProperty('--' + e.target.id, e.target.value);
};

inputs.forEach(function (input) {return input.addEventListener('input', update);});